Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1514935 - crashes with FileNotFoundError
Summary: crashes with FileNotFoundError
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmconf
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Suchý
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-19 14:54 UTC by Stas Sergeev
Modified: 2018-05-29 11:35 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:35:50 UTC


Attachments (Terms of Use)

Description Stas Sergeev 2017-11-19 14:54:24 UTC
Description of problem:
Running "sudo rpmconf -c" crashes with errors
like this:
---
Delete these files (Y/n): 
Traceback (most recent call last):
  File "/sbin/rpmconf", line 80, in <module>
    main()
  File "/sbin/rpmconf", line 71, in main
    rconf.run()
  File "/usr/lib/python3.6/site-packages/rpmconf/rpmconf.py", line 98, in run
    self._clean_orphan()
  File "/usr/lib/python3.6/site-packages/rpmconf/rpmconf.py", line 471, in _clean_orphan
    self._remove(file_delete)
  File "/usr/lib/python3.6/site-packages/rpmconf/rpmconf.py", line 234, in _remove
    os.unlink(conf_file)
FileNotFoundError: [Errno 2] No such file or directory: '/usr/share/texmf/fonts/map/dvips/pl/pl.map.rpmnew'
---

I think those rpmnew files were removed
by hands, and it is expecting them to be
present, instead of just check.
With every new start, it crashes with a
different file (not repeating the previous
ones), so eventually, with multiple starts,
it is possible to get to a success.

Version-Release number of selected component (if applicable):
rpmconf-1.0.19-1.fc26.noarch

How reproducible:
easily

Steps to Reproduce:
1. remove some rpmnew file (maybe! not sure if this is the cause)
2. sudo rpmconf -c

Actual results:
FileNotFoundError

Expected results:
No errors, maybe a warning.

Additional info:

Comment 1 Fedora End Of Life 2018-05-03 08:10:03 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Fedora End Of Life 2018-05-29 11:35:50 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.